cast.h File Reference

Go to the source code of this file.

## Classes

struct | __gnu_cxx::_Caster< _ToType >

## Namespaces

| __gnu_cxx

## Functions

template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__const_pointer_cast (const _FromType &__arg)
template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__const_pointer_cast (_FromType *__arg)
template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__dynamic_pointer_cast (const _FromType &__arg)
template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__dynamic_pointer_cast (_FromType *__arg)
template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__reinterpret_pointer_cast (const _FromType &__arg)
template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__reinterpret_pointer_cast (_FromType *__arg)
template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__static_pointer_cast (const _FromType &__arg)
template<typename _ToType , typename _FromType >
_ToType | __gnu_cxx::__static_pointer_cast (_FromType *__arg)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <ext/pointer.h>.

Definition in file cast.h.